﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <script src="/controller/customer/customer.js" asp-append-version="true"></script>
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Thêm mới</li>
                        </ol>
                    </div>
                    <h4 class="page-title">KHÁCH HÀNG</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                            <a id="submit-create" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            <a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            <a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                    <a href="/cpanel/user/users" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">

                    <h4 class="header-title">Thông tin khách hàng</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông tin khách hàng
                    </p>
                    <form class="needs-validation" id="frm" novalidate>
                        <div class="mb-3">
                            <label for="txtCustomerCode" class="form-label">Mã khách hàng</label>
                            <input type="text" id="txtCustomerCode" name="txtCustomerCode" class="form-control" placeholder="Mã khách hàng" required>
                            <input type="hidden" id="txtId" name="txtId" class="form-control">
                        </div>

                        <div class="mb-3">
                            <label for="txtCustomerName" class="form-label">Tên khách hàng</label>
                            <input type="text" id="txtCustomerName" name="txtCustomerName" class="form-control" placeholder="Tên khách hàng" required>
                        </div>

                        <div class="mb-3">
                            <label for="txtMail" class="form-label">Mail</label>
                            <div class="input-group input-group-merge">
                                <input type="text" id="txtMail" class="form-control" placeholder="Mail" required>
                            </div>
                        </div>

                        <div class="mb-3">
                            <label for="txtPhone" class="form-label">Số điện thoại</label>
                            <div class="input-group input-group-merge">
                                <input type="text" id="txtPhone" class="form-control" placeholder="Số điện thoại" required>
                            </div>
                        </div>

                        <div class="mb-3">
                            <label for="txtPhone" class="form-label">Fax</label>
                            <div class="input-group input-group-merge">
                                <input type="text" id="txtFax" class="form-control" placeholder="Fax" required>
                            </div>
                        </div>

                        <div class="mb-3">
                            <label for="txtPhone" class="form-label">Deposit(%)</label>
                            <div class="input-group input-group-merge">
                                <input type="text" id="txtDeposit" class="form-control" placeholder="Deposit" required>
                            </div>
                        </div>

                        <div class="mb-3">
                            <label for="txtAddress" class="form-label">Địa chỉ</label>
                            <input type="text" id="txtAddress" name="txtAddress" class="form-control" placeholder="Địa chỉ">
                        </div>
                        <div class="mb-3">
                            <label class="form-label">Hình đại diện</label>
                            <input class="form-control" type="file" id="fileImage">
                            <input class="form-control" type="hidden" id="txtHiddenImageUrl">
                            <div class="invalid-feedback" id="errorfileImage"></div>
                        </div>

                        <div class=" mb-3">
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input" checked="checked" id="chkIsRule">
                                <label class="form-check-label" for="chkIsRule">Rule khách hàng diposit đặt biệt</label>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div> <!-- end card -->
        </div> <!-- end col -->

        

    </div>
</div>







